# Class CSDNSQueriesDJ

java.lang.Object
com.io7m.certusine.vanilla.internal.dns.CSDNSQueriesDJ

All Implemented Interfaces:
  `CSDNSQueriesType`

public final class CSDNSQueriesDJ extends Object implements CSDNSQueriesType
A DNS query implementation based on `dnsjava`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CSDNSQueriesDJ(List<String> inNames)`
  A DNS query implementation based on `dnsjava`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `findAuthoritativeNameServersForDomain(String domain)`
  Find the list of authoritative name servers for the given domain.
  `List<CSDNSTXTRecord>`
  `findTXTRecordsForDomain(String domain)`
  Find the list of TXT records for the given domain.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CSDNSQueriesDJ

    public CSDNSQueriesDJ(List<String> inNames)
    A DNS query implementation based on `dnsjava`.
    Parameters:
      `inNames` - The name servers to use for queries

- ## Method Details

  - ### findAuthoritativeNameServersForDomain

    public List<String> findAuthoritativeNameServersForDomain(String domain) throws IOException
    Description copied from interface: `CSDNSQueriesType`
    Find the list of authoritative name servers for the given domain. The domain must end with '.'.
    Specified by:
      `findAuthoritativeNameServersForDomain` in interface `CSDNSQueriesType`
    Parameters:
      `domain` - The domain
    Returns:
      A list of name servers
    Throws:
      `IOException` - On lookup failures

  - ### findTXTRecordsForDomain

    public List<CSDNSTXTRecord> findTXTRecordsForDomain(String domain) throws IOException
    Description copied from interface: `CSDNSQueriesType`
    Find the list of TXT records for the given domain. The domain must end with '.'.
    Specified by:
      `findTXTRecordsForDomain` in interface `CSDNSQueriesType`
    Parameters:
      `domain` - The domain
    Returns:
      A list of records
    Throws:
      `IOException` - On lookup failures